// Document ready
$(function () {
    $('[href^="#"]').on('click', function(){
        var el = $(this).attr('href');
        $('html, body').animate({
            scrollTop: $(el).offset().top}, 1000);
        return false;
    });

    function fixedHeader() {
        var scroll = $(window).scrollTop();
        if (scroll >= 50) {
            $("header").addClass("fixed");
        } else {
            $("header").removeClass("fixed");
        }
    }

    $(window).scroll(function () {
        fixedHeader();
    });

    $(".show-block-button").on("click", function () {
        $(this).toggleClass("active");
        var elementShow = $(this).attr('data-show-block');
        $(elementShow).toggle();
        var elementHide = $(this).attr('data-hide-block');
        console.log(elementHide);
        $(elementHide).toggle();
    });

    $(".ask-a-question").on("click", function () {
        $(".t-ask-a-question-form").slideToggle();
    });

    $("#search").prop("placeholder", "Search products");
    var search = $('#search-form').html();
    $('#mobile-search').html("<form action='/search-results.html' method='get'>" + search + "</form>");
});